Submit a survey response
curl --request POST \
--url https://api.contactbutton.com/v1/public/surveys/{survey}/responses \
--header 'Content-Type: application/json' \
--data '
{
"answers": {},
"respondent": {
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"external_id": "<string>"
},
"started_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.contactbutton.com/v1/public/surveys/{survey}/responses"
payload = {
"answers": {},
"respondent": {
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"external_id": "<string>"
},
"started_at": "2023-11-07T05:31:56Z"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
answers: {},
respondent: {
name: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
external_id: '<string>'
},
started_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.contactbutton.com/v1/public/surveys/{survey}/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "<unknown>",
"meta": {
"request_id": "<string>",
"next_cursor": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"errors": {}
}Submit a survey response
POST
/
public
/
surveys
/
{survey}
/
responses
Submit a survey response
Headers
Stable 8–120 character key for safe mutation retries.
Required string length:
8 - 120Path Parameters
Body
application/json
Was this page helpful?
⌘I